#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "veclib.h"

#define MM 100000000

MYTYPE a[MM], b[MM], c[MM];

int main() {
    clock_t start,end;

    for (size_t i = 0; i < MM; ++i)
	a[i] = b[i] = c[i] = i;

    start = clock();
    vecadd(a, b, c, MM);
    end = clock();

    printf("time = %lf\n", (end - start)/(double)CLOCKS_PER_SEC);

    return 0;
}
