#include "veclib.h"

#ifdef RESTRICT
#define MYTYPE_PTR MYTYPE * restrict
#else
#define MYTYPE_PTR MYTYPE *
#endif

void vecadd(MYTYPE_PTR a, MYTYPE_PTR b, MYTYPE_PTR c, size_t n) {
    for (size_t i = 0; i < n; ++i) {
	a[i] += c[i];
	b[i] += c[i];
    }
}
